SCOLASYNC(1)

NAME
scolasync - a file manager dedicated to dealing with a collection of removable media, like music mobile players. It makes easier to copy files to a set of removable media, and to copy files from them.

SYNOPSIS

scolasync [{-c | --check}]

DESCRIPTION

scolasync allows you to send a series of files towards a set of removable media. Every individual removable storage device is identified, for example to its owner. Then, later, you can retreive modified files from the same collection of removable media and track the modifications attributable to each owner.

A possible usage is with students learning a foreign language: they are given homework on their USB sticks, and they bring them back with modified contents to get scores.

OPTIONS

-c , --check
    Enables checkboxes to select a subset of the usb storage media currently plugged to your computer, even if the checkboxes are not wanted in the preferences of the application.

FILES

${HOME}/.scolasync/db
    A database containing the preferences of the application, and the mapping between owners and USB storage media.

/usr/share/scolasync/marques.py
    A dictionary of pecularities which come with some brands of USB storage media.

${HOME}/.scolasync/marques.py
    This dictionary overrides the settings in the system-wide configuration.

${HOME}/.scolasync/scolasync.log
    A log file for the application.

AUTHOR

Georges Khaznadar <georgesk@ofset.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2010 Georges Khaznadar

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.